# List custom fields

Lists custom fields for the matching asset.

Endpoint: GET /assets/{asset_id}/custom_field_values
Version: v4
Security: APIToken

## Path parameters:

  - `asset_id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr5iv4-443db"

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

  - `Accept` (string, required)
    Enum: "application/json"

  - `Authorization` (string, required)
    Bearer token for authentication

## Query parameters:

  - `include` (string)
    Set it to custom_field_key to return those custom field keys related
to the asset you're fetching. Related records are returned in an
included array in the response.

Allowed value: custom_field_key

WARNING: This parameter can slow response times.

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (string, required)
    Unique identifier for the resource instance.
    Example: "r79p3j4gbcgtv33gbsqrxb"

  - `data.type` (string, required)
    The type of the resource.
    Enum: "custom_field_values"

  - `data.attributes` (object, required)

  - `data.attributes.key` (string)
    A key name.
    Example: "Campaign"

  - `data.attributes.value` (string)
    The value for the key.
    Example: "Fall"

  - `meta` (object, required)
    Page context information.

  - `meta.current_page` (integer, required)
    Example: 1

  - `meta.next_page` (object,null, required)

  - `meta.prev_page` (object,null, required)

  - `meta.total_pages` (number, required)
    Example: 1

  - `meta.total_count` (number, required)
    Example: 1


